[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Let's make a plan for python3.0 in Fedora 10+



On Fri, Jun 6, 2008 at 4:49 PM, Matej Cepl <mcepl redhat com> wrote:
> On Mon, 02 Jun 2008 21:15:33 -0400, Ignacio Vazquez-Abrams scripst:
>> On Mon, 2008-06-02 at 22:58 +0200, Christoph Höger wrote:
>>> could you point out why exactly there is "something to do"?
>>>
>>> I mean, python3000 is a new language and no replacement so if someone
>>> is willing to package it (or a package that depends on py3k) she/he
>>> should make sure its a python2.x compatible installation (especially in
>>> the naming of the package). That should be all, right?
>>
>> Python 2.x *will* be discontinued at some time in the future. It may be
>> a few years, but it will happen.
>
> Wouldn't it be more prudent to upgrade just to python 2.6 (asap) and let
> one or two Rawhide cycles to make all warnings disappear?

Theoretically, probably.  I'm not sure we have enough eyeballs that
could make that happen though.

-Yaakov


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]